<div align="center">
    <img src="https://repository-images.githubusercontent.com/236645319/8a781f4e-6955-499a-9e88-380c5adccfa5" alt="Splash" />
</div>

# Rawon

> A dedicated open-source music and moderation Discord bot. Easy to use, and with no coding required.

<a href="https://discord.com/oauth2/authorize?client_id=711712829031448637&permissions=53857345&scope=bot"><img src="https://img.shields.io/static/v1?label=Invite%20Me&message=Rawon%237022&plastic&color=5865F2&logo=discord"></a>
<img src="https://badgen.net/badge/icon/typescript?icon=typescript&label">
<a href="https://github.com/mzrtamp/rawon/actions?query=workflow%3A%22Lint+code+%26+compile+test%22"><img src="https://github.com/mzrtamp/rawon/workflows/Lint%20code%20&%20compile%20test/badge.svg" alt="CI Status" /></a>

## Features
- Interaction support.
- Basic music commands.
- Basic moderation commands.
- Configurable, and easy to use.
- A production-ready project, set up the bot without coding.

## General Setup
1. Download and install [Node.js](https://nodejs.org) version `16.6.0` and [Python](https://python.org) version `3.6.0` or above
2. Open `.env_example` file and rename it to `.env`
3. Install required and optional dependencies
```sh
$ npm install
```
4. Compile the file
```sh
$ npm run build
```
5. If you want to save your disk spaces, let's prune the dev dependencies
```sh
$ npm prune --production
```
6. Finally, you can start the bot
```sh
$ npm start
```

## Hosting Setup

### Heroku
You can host this bot to make it stay online on Heroku.

<a href="https://heroku.com/deploy?template=https://github.com/mzrtamp/rawon"><img src="https://www.herokucdn.com/deploy/button.svg" alt="Deploy to Heroku"></a>

### Glitch
You can use Glitch too for this project, featured with its code editor.

1. Star and fork this project
2. Go to [glitch.com](https://glitch.com) and make an account
3. Click **New Project** then **Import from GitHub**, specify the pop-up field with `https://github.com/<your-name>/rawon` (without `<>`)
4. Please wait for a while, this process takes some minutes
5. Find `.env` file and delete it, find `.env_example` file and rename it back to `.env`
6. After specifying `.env`, open **Tools** > **Terminal**
7. Type `refresh`, and track the process from **Logs**

<a href="https://glitch.com/edit/#!/import/github/mzrtamp/rawon"><img src="https://cdn.glitch.com/2703baf2-b643-4da7-ab91-7ee2a2d00b5b%2Fremix-button.svg" alt="Remix on Glitch"></a>

## Project Maintainer
- [@Mednoob](https://github.com/Mednoob)
- [@mzrtamp](https://github.com/mzrtamp)

> © 2022 RB Project
